TypeConvertingMap (Grails 3.3.10)
Date: 2019-05-20

Package: grails.util

## [Groovy] Class TypeConvertingMap

- grails.util.TypeConvertingMap

- A category for use with maps that want type conversion capabilities. Type converting maps have no inherent ordering. Two maps with identical entries but arranged in a different order internally are considered equal.

  Authors:
    Graeme Rocher
  Since:
    1.2

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractTypeConvertingMap` | `wrappedMap`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TypeConvertingMap ()`
    `TypeConvertingMap (java.util.Map map)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Boolean` | `boolean(java.lang.String name)`
    `` | `java.lang.Boolean` | `boolean(java.lang.String name, java.lang.Boolean defaultValue)`
    `` | `java.lang.Byte` | `byte(java.lang.String name)`
    `` | `java.lang.Byte` | `byte(java.lang.String name, java.lang.Integer defaultValue)`
    `` | `java.lang.Character` | `char(java.lang.String name)`
    `` | `java.lang.Character` | `char(java.lang.String name, java.lang.Character defaultValue)`
    `` | `java.lang.Character` | `char(java.lang.String name, java.lang.Integer defaultValue)`
    `` | `java.lang.Object` | `clone()`
    `` | `java.lang.Double` | `double(java.lang.String name)`
    `` | `java.lang.Double` | `double(java.lang.String name, java.lang.Double defaultValue)`
    `` | `java.lang.Float` | `float(java.lang.String name)`
    `` | `java.lang.Float` | `float(java.lang.String name, java.lang.Float defaultValue)`
    `` | `java.lang.Integer` | `int(java.lang.String name)`
    `` | `java.lang.Integer` | `int(java.lang.String name, java.lang.Integer defaultValue)`
    `` | `java.lang.Long` | `long(java.lang.String name)`
    `` | `java.lang.Long` | `long(java.lang.String name, java.lang.Long defaultValue)`
    `` | `java.lang.Short` | `short(java.lang.String name)`
    `` | `java.lang.Short` | `short(java.lang.String name, java.lang.Integer defaultValue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractTypeConvertingMap` | `asBoolean, clear, containsKey, containsValue, date, date, date, entrySet, equals, equals, get, getBoolean, getBoolean, getByte, getByte, getChar, getChar, getDate, getDate, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getList, getLong, getLong, getShort, getShort, hashCode, isEmpty, keySet, list, put, putAll, remove, size, toString, values`
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`

- - ### Constructor Detail

    - #### TypeConvertingMap()

    - #### TypeConvertingMap(java.util.Map map)

  - ### Method Detail

    - #### java.lang.Boolean boolean(java.lang.String name)

    - #### java.lang.Boolean boolean(java.lang.String name, java.lang.Boolean defaultValue)

    - #### java.lang.Byte byte(java.lang.String name)

    - #### java.lang.Byte byte(java.lang.String name, java.lang.Integer defaultValue)

    - #### java.lang.Character char(java.lang.String name)

    - #### java.lang.Character char(java.lang.String name, java.lang.Character defaultValue)

    - #### java.lang.Character char(java.lang.String name, java.lang.Integer defaultValue)

    - #### java.lang.Object clone()

    - #### java.lang.Double double(java.lang.String name)

    - #### java.lang.Double double(java.lang.String name, java.lang.Double defaultValue)

    - #### java.lang.Float float(java.lang.String name)

    - #### java.lang.Float float(java.lang.String name, java.lang.Float defaultValue)

    - #### java.lang.Integer int(java.lang.String name)

    - #### java.lang.Integer int(java.lang.String name, java.lang.Integer defaultValue)

    - #### java.lang.Long long(java.lang.String name)

    - #### java.lang.Long long(java.lang.String name, java.lang.Long defaultValue)

    - #### java.lang.Short short(java.lang.String name)

    - #### java.lang.Short short(java.lang.String name, java.lang.Integer defaultValue)